package cn.com.qmth.scancentral.client;

import com.qmth.boot.core.retrofit.interfaces.CustomizeRetrofitConfiguration;
import com.qmth.boot.core.retrofit.interfaces.SignatureProvider;
import org.springframework.stereotype.Component;

@Component
public class MarkingcloudApiConfiguration implements CustomizeRetrofitConfiguration {

    private MarkingcloudProperties properties;

    public MarkingcloudApiConfiguration(MarkingcloudProperties properties) {
        this.properties = properties;
    }

    public String getBaseUrl() {
        String server = properties.getServer();
        if (server.endsWith("/")) {
            server = server.substring(0, server.length() - 1);
        }
        return server + "/api/";
    }

    public SignatureProvider getSignature() {
        return null;
    }

}
